.\" $Cambridge: hermes/doc/talks/2004-02-ukuug/errata.ms,v 1.3 2004/03/05 17:49:47 fanf2 Exp $
.\"
.TL
Scaling up Cambridge University's email service
.br
Errata
.AU
David Carter <dpc22@cam.ac.uk>
.AU
Tony Finch <fanf2@cam.ac.uk> <dot@dotat.at>
.AI
University of Cambridge Computing Service
.\" ----------------------------------------------------------------
.PP
The version of the paper published in the proceedings
of the UKUUG LISA Winter Conference
has a number of errors and ommissions detailed below.
These have been corrected in the on-line copy.
.NH S 4 1
Two-phase expunge
.PP
Message files aren't actually moved.
The expunged messages shadow folder
is just another set of index files in the same directory.
This is another reason that this feature helps performance;
only the index files need to be changed during an expunge.
.NH S 4 2 2
Replication protocol
.PP
The description of the \fCSEEN\fP action is missing.
This updates the user's database
of which messages
in the given folder
have been seen.
In case of problems it falls back to \fCMAILBOX\fP.
.NH S 5 1
Cyrus compatibility
.PP
Typo in paragraph 5:
``behaves'' should be ``behave''.
.NH S 6 2
Shared mailboxes
.PP
The replication engine's handling
of \fCSEEN\fP actions
needs some work
since it has some built-in assumptions
that break when fully general shared mailboxes
are permitted.
.NH S 6 5
Wide-area distribution and high availability
.PP
STOMITH is more usually called STONITH
(``node'' rather than ``machine'').
